# Interface CompiledExpressionProps

interface CompiledExpressionProps {
$$watchDelegate: ((arg0: Scope, arg1: WatchListener, arg2: boolean, arg3: CompiledExpression, arg4: string | CompiledExpression | ((scope: Scope) => any)) => any);
assign: ((arg0: any, arg1: any) => any);
constant: boolean;
inputs: Function | any[];
isPure: boolean;
literal: boolean;
oneTime: boolean;
}

- Defined in core/parser/parse.js:7

#####
Index

### Properties

$$watchDelegate
assign
constant
inputs
isPure
literal
oneTime

##
Properties

### $$watchDelegate

$$watchDelegate: ((arg0: Scope, arg1: WatchListener, arg2: boolean, arg3: CompiledExpression, arg4: string | CompiledExpression | ((scope: Scope) => any)) => any)

- Defined in core/parser/parse.js:12

### assign

assign: ((arg0: any, arg1: any) => any)

Assigns a value to a context. If value is not provided,

- Defined in core/parser/parse.js:14

### constant

constant: boolean

Indicates if the expression is constant.

- Defined in core/parser/parse.js:9

### inputs

inputs: Function | any[]

- Defined in core/parser/parse.js:13

### isPure

isPure: boolean

- Defined in core/parser/parse.js:10

### literal

literal: boolean

Indicates if the expression is a literal.

- Defined in core/parser/parse.js:8

### oneTime

oneTime: boolean

- Defined in core/parser/parse.js:11